apiVersion: machine.openshift.io/v1beta1
kind: MachineSet
metadata:
  creationTimestamp: null
  labels:
    machine.openshift.io/cluster-api-cluster: padillon-azmkt11-pj25f
    machine.openshift.io/cluster-api-machine-role: worker
    machine.openshift.io/cluster-api-machine-type: worker
  name: pdwin
  namespace: openshift-machine-api
spec:
  replicas: 1
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: padillon-azmkt11-pj25f
      machine.openshift.io/cluster-api-machineset: padillonwin1
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: padillon-azmkt11-pj25f
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: padillonwin1
    spec:
      metadata: {}
      providerSpec:
        value:
          apiVersion: azureproviderconfig.openshift.io/v1beta1
          credentialsSecret:
            name: azure-cloud-credentials
            namespace: openshift-machine-api
          image:
            offer: WindowsServer
            publisher: MicrosoftWindowsServer
            resourceID: ""
            sku: datacenter-core-20h2-with-containers-smalldisk
            version: latest
          kind: AzureMachineProviderSpec
          location: centralus
          metadata:
            creationTimestamp: null
          networkResourceGroup: padillon-azmkt11-pj25f-rg
          osDisk:
            diskSizeGB: 128
            managedDisk:
              storageAccountType: Premium_LRS
            osType: Windows
          publicIP: false
          publicLoadBalancer: padillon-azmkt11-pj25f
          resourceGroup: padillon-azmkt11-pj25f-rg
          subnet: padillon-azmkt11-pj25f-worker-subnet
          userDataSecret:
            name: worker-user-data
          vmSize: Standard_D4s_v3
          vnet: padillon-azmkt11-pj25f-vnet
          zone: "3"
status:
  replicas: 0
